% EXTRACT is used to extract from the matrices containing the temperature, lateral anomalies  
%   of density and fraction of spinel distribution, the values corresponding to a given time.
%   A new block is created every 'itersave' time iterations; the first block 
%   corresponds to time=0 and the last block to the final time.

[r, c]=size(T);
ha=input('block?');
timesec=(ha-1)*itersave*Dt;
time=(ha-1)*itersave*Dt/3.1536e13; 
if timesec >= tend
    time=tend/3.1536e13;
end
time
hT1=(ha-1)*c+1;
hT2=hT1+c-1;
T=ValT(:,hT1:hT2);
delta_rho=Valdelta_rho(:,hT1:hT2);
beta=Valbeta(:,hT1:hT2);